Index: LICENSE
===================================================================
--- LICENSE	(revision 0)
+++ LICENSE	(revision 331)
@@ -1,3 +1,3 @@
-This software package is copyrighted under the terms of the BSD license, as follow:
+Unless specified otherwise, this software package is copyrighted under the terms of the BSD license, as follow:
 
 Software License Agreement (BSD License)
@@ -33,2 +33,7 @@
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+
+
+The extensions/dict_sip files have been contributed by Alexandre Westfahl 
+	-- see source file for more information.
+
Index: extensions/CMakeLists.txt
===================================================================
--- extensions/CMakeLists.txt	(revision 304)
+++ extensions/CMakeLists.txt	(revision 331)
@@ -38,4 +38,9 @@
 	   SUBDIRS(dict_eap)
 	ENDIF (BUILD_DICT_EAP)
+
+OPTION(BUILD_DICT_SIP "Build Diameter SIP (RFC4740) Dictionary definitions?" ON)
+	IF (BUILD_DICT_SIP)
+	   SUBDIRS(dict_sip)
+	ENDIF (BUILD_DICT_SIP)
 
 
Index: extensions/dict_sip/CMakeLists.txt
===================================================================
--- extensions/dict_sip/CMakeLists.txt	(revision 331)
+++ extensions/dict_sip/CMakeLists.txt	(revision 331)
@@ -0,0 +1,13 @@
+# The dict_nasreq extension
+PROJECT("Diameter SIP (RFC4740) dictionary definitions" C)
+
+# Compile as a module
+FD_ADD_EXTENSION(dict_sip dict_sip.c)
+
+
+####
+## INSTALL section ##
+
+INSTALL(TARGETS dict_sip
+	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
+	COMPONENT freeDiameter-dictionary-RFC4740)
